package com.ruoyi.inventory.domain.enums;

/**
 * 盘点状态
 */
public enum InventoryStatus {
    /** 异常 */
    ERROR(-1, "异常"),
    /** 未盘点 */
    UNCOUNTED(0, "未盘点"),
    /** 已盘点 */
    COUNTED(1, "已盘点");

    /** 特定代码 */
    private final Integer code;

    /** 名称 */
    private final String name;

    InventoryStatus(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    /**
     * 根据特定代码返回名称
     *
     * @param code 特定代码
     * @return 名称/null
     */
    public static String getName(Integer code) {
        for (InventoryStatus value : InventoryStatus.values()) {
            if (value.code.equals(code)) {
                return value.getName();
            }
        }
        return null;
    }
}
